Contacts

Manage individual contacts

Manage contacts

Create a new Contact

post

Create a new contact

Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Body
Responses
post
/api/contacts

Get contact

get

Get contact using UUID or email (URL encoded)

Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Path parameters
contact_identifierstring · uuid or emailRequired

Contact UUID or Email

Example: 018dd5e3-f6d2-7c00-8f9b-e5c3f2d8a132
Responses
200

OK.

application/json
get
/api/contacts/{contact_identifier}

Delete contact

delete

Delete contact using UUID or email (URL encoded)

Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Path parameters
contact_identifierstring · uuid or emailRequired

Contact UUID or Email

Example: 018dd5e3-f6d2-7c00-8f9b-e5c3f2d8a132
Responses
delete
/api/contacts/{contact_identifier}

No content

Update contact

patch

Update contact using UUID or email (URL encoded)

Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Path parameters
contact_identifierstring · uuid or emailRequired

Contact UUID or Email

Example: 018dd5e3-f6d2-7c00-8f9b-e5c3f2d8a132
Body
Responses
200

OK.

application/json
actionstring · enumOptional

Performed action on the contact:

  • "created" if contact does not exist
  • "updated" if contact exists
Possible values:
patch
/api/contacts/{contact_identifier}

Last updated

Was this helpful?